Description

See SPIT

History

#1 - 2012-03-12 09:25 AM - Paolo Cavallini

Already possible, by dragging & dropping multiple files, and also from file system. Only limitation: from file system all files should be in the same folder.

Close it?

#2 - 2013-01-18 01:34 AM - Giovanni Manghi

- Project changed from 27 to QGIS Application

#3 - 2013-01-18 01:37 AM - Giovanni Manghi

- Category set to DB Manager

#4 - 2013-01-18 01:43 AM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#5 - 2013-05-25 08:59 AM - Giovanni Manghi

Paolo Cavallini wrote:

Already possible, by dragging & dropping multiple files, and also from file system. Only limitation: from file system all files should be in the same

folder. Close it?

there are limitations when compared to SPIT:

it does not allow to choose shapes from different folders

for each dropped shapefile it asks the import parameters, while with SPIT the parameters are all defined before starting update, making it the only real way

to import more than a hand full of vectors

the import operation in DB Manager is very slow when compared to d&d in QGIS browser and SPIT

#6 - 2014-06-23 06:26 AM - Paolo Cavallini

- Subject changed from Import of multiple shapefiles to Import of multiple shapefiles in PostGIS

#7 - 2015-06-14 05:38 AM - Paul Kanelli
When creating a table using the "DB Manager" the "Create table" window stays open after finishing. That's quite usefull when creating more than one table.

Using the "Import layer/file" tool to import a shapefile the "Import vector layer" window is closing and all settings get lost after the import. So adding several

shapefiles sharing similar settings is really a pain.

#8 - 2015-06-14 06:34 AM - Giovanni Manghi

Paul Kanelli wrote:

When creating a table using the "DB Manager" the "Create table" window stays open after finishing. That's quite usefull when creating more than one

table. Using the "Import layer/file" tool to import a shapefile the "Import vector layer" window is closing and all settings get lost after the import. So

adding several shapefiles sharing similar settings is really a pain

There are alternatives in the Processing toolbox where any tool can be run in batch mode. There you you will find an ogr based tool that is several times

faster than db manager.

#9 - 2015-06-14 06:49 AM - Jürgen Fischer

Giovanni Manghi wrote:

There are alternatives in the Processing toolbox where any tool can be run in batch mode. There you you will find an ogr based tool that is several

times faster than db manager.

And there is SPIT.

#10 - 2015-09-09 12:25 PM - Paul Kanelli

SPIT doesn't create spatial indices and 'geom' is the last column of all. I prefer 'geom' at the second position after 'gid'. The QGIS-Geo-Algorithm 'Import

into PostGIS' doesn't support sequences for the primary key columns.

#11 - 2015-12-07 07:06 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

now "that SPIT has been removed":#b39e6d176000fea3d5eaf6cc0b8f7b0f9c5df3dd, how do we do to import multiple shapefiles into PostGIS ?

#12 - 2015-12-07 07:26 AM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

With Processing
